Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jdbc20.oci
Class CallableStatement

    java.lang.Object
      |
      +--weblogic.jdbcbase.oci.Statement
            |
            +--weblogic.jdbc20.oci.Statement
                  |
                  +--weblogic.jdbc20.oci.PreparedStatement
                        |
                        +--weblogic.jdbc20.oci.CallableStatement

public class CallableStatement
extends weblogic.jdbc20.oci.PreparedStatement
implements java.sql.CallableStatement, OracleCallableStatement

This class contains WebLogic extensions to JDBC to support the use of cursors as parameters in CallableStatements. Only those methods are documented here.

Version:
  2.0
Author:
  Copyright (c) 1999 by BEA WebXpress. All Rights Resrved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.oci.Statement
`closed, connection, current_queryresult, cursorparams, doExtendedSQL, fetchsize, jdk_codeset, lastvalnull, maxfieldsize, maxrows, nullvalid, ociconn, ocicursor, updatecnt, warnings`

Constructor Summary
`CallableStatement()`

Method Summary
`java.sql.ResultSet` | `getResultSet(int parameterIndex)` Used to get a ResultSet back from a Stored Procedure which has had a Cursor bound to an OUT Parameter

Methods inherited from class weblogic.jdbc20.oci.Statement
`fetchSize`

Methods inherited from class weblogic.jdbcbase.oci.Statement
`addBatch, addWarning, cancel, checkIfArgNull, checkIfClosed, checkJdbcSql, clearBatch, clearParameters, clearWarnings, close_cursor, close, execute, execute, executeBatch, executeQuery, executeQuery, executeUpdate, executeUpdate, fetchSize, finalize, getBigDecimal, getBoolean, getByte, getBytes, getDate, getDouble, getFloat, getInt, getLong, getMaxFieldSize, getMaxRows, getMoreResults, getObject, getQueryTimeout, getResultSet, getShort, getString, getTime, getTimestamp, getUpdateCount, getWarnings, parse, registerOutParameter, setAsciiStream, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setCursorName, setDate, setDate, setDouble, setEscapeProcessing, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setObject, setObject, setObject, setQueryTimeout, setReader, setShort, setStream, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallableStatement

    public CallableStatement()

Method Detail

### getResultSet

    public java.sql.ResultSet getResultSet(int parameterIndex)
                                    throws java.sql.SQLException

  Used to get a ResultSet back from a Stored Procedure which has had a Cursor bound to an OUT Parameter
  Specified by:
    getResultSet in interface OracleCallableStatement

  Overrides:
    getResultSet in class weblogic.jdbcbase.oci.Statement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD